[CentOS-devel] wine 1.2 packages

Manuel Wolfshant wolfy at nobugconsulting.ro
Thu Aug 12 06:08:42 EDT 2010


  On 08/12/2010 12:52 PM, Dag Wieers wrote:
> On Thu, 12 Aug 2010, Dag Wieers wrote:
>
>> On Thu, 12 Aug 2010, Janez Kosmrlj wrote:
>>
>>> I made wine 1.2 packages for centos. I would like to share them but i don't
>>> have a public repository. Is there a place, where i could upload this
>>> packages. Maybe someone else would need them too.
>>>
>>> The packages are built to my needs, so they don't have winetricks or desktop
>>> integration, but they work.
>> Hmm, I stopped doing wine (1.1.x) packages after it required newer
>> versions of base packages which I couldn't satisfy. I guess this is no
>> longer true.
>>
>> I will see if I can rebuild them for RPMforge again.
> Ok, the details are:
>
> checking for flex... flex
> checking whether flex is recent enough... no
> configure: error: Your flex version is too old. Please install flex version 2.5.33 or newer.
>
> So I guess you build a newer version of flex in order to build a newer
> version of wine, right ?
>
> I have been playing with the idea myself to have a separate 'build'
> repository in RPMforge that replaces a few of the 'older' buildtools. It
> would allow us to rebuild some software without pulling new requirements
> that replace base packages.
>
> (flex and make come to mind, there were a few others)
>
> It could be:
>
>   	.rf.	rpmforge stable
>   	.rfb.	rpmforge buildtools
>   	.rft.	rpmforge testing
>
> What do people think ?
as long as the final packages do not require updating the core packages 
I see nothing wrong in using newer tools to build them.
of course, having the BRs in a separate repo so that others can use them 
is even nicer.



More information about the CentOS-devel mailing list